Using Solaris10-x86 (06/06), I have successfully compiled, installed, and
used the new Gutenprint (v5.0) replacement for the older gimp-print (v4.2)
print plugin. By default, with Solaris10 (06/06) Gimp has NO print plugin
available.

Main reference to Gimp-Print (Gutenprint):

http://gimp-print.sourceforge.net

Source download for Gutenprint:

http://sourceforge.net/project/showf...?group_id=1537

One include-file patch was needed and an extensive configure environment
needed to be defined to find all of the requisite libraries. After that,
everything worked just fine.

=================== patch for ijs include ======================
*** src/ghost/ijsgutenprint.c.orig Mon Jul 3 21:19:15 2006
--- src/ghost/ijsgutenprint.c Sun Feb 25 02:49:13 2007
***************
*** 35,42 ****
#include
#include
#include
! #include
! #include
#include
#include

--- 35,42 ----
#include
#include
#include
! #include
! #include
#include
#include
================================================== ====

============== configure.run script ===========
============ mind the line wrappings ==========
#!/usr/bin/tcsh
#
setenv CFLAGS '-I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/
gtk-2.0/include -I/usr/lib/glib-2.0/include -I/usr/include/pango-1.0 -I/usr/
include/atk-1.0 -I/usr/sfw/include/gimp-2.0 -I/opt/sfw/include -I/usr/sfw/
include'
#
setenv CPPFLAGS '-I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/
gtk-2.0/include -I/usr/lib/glib-2.0/include -I/usr/include/pango-1.0 -I/usr/
include/atk-1.0 -I/usr/sfw/include/gimp-2.0 -I/opt/sfw/include -I/usr/sfw/
include'
#
setenv GIMP2_LIBS '-lgimp-2.0 -lgimpbase-2.0 -lgimpui-2.0'
setenv GIMP2_PLUGIN_DIR /usr/sfw/lib/gimp/2.0/plug-ins
#
setenv LDFLAGS '-L/usr/lib -L/opt/sfw/lib -L/usr/sfw/lib'
#
../configure --with-gimp2
exit
================================================== ==========================